<?php
namespace Modules\Ajax\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Liste
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function entityList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function doa(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function campNotEx(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function aoFormatExcel(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function aoEntet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeDeMarche(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function commande(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function langues(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function suiCaDat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function douanes(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cqualite(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function messstan(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function commandeModele(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeAchatFournis(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function br(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function brLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function fonction(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function fonctionUser(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function utilisateur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function delegatairePref(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function acheteurUser(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function demandeur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sigBAP(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sigCde(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sigDA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function societe(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function grpSociete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function societeHistorique(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function conditionPaiement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function modePaiement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function modelivraison(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function fournisseur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function contactFournisseur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function contactFournisseurV2(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function adresseFournisseur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function adresseCentre(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function contactParFournisseur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function contactParCentre(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function devise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function caEntet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ordonance(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function regroup(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function si(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cdc(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sca(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centre(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreEmetteur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreLivraison(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreEmetteurAll(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreByType(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreLivraisonAll(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeAchatWithout(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeDeDocument(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function fournisseurImpression(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreLivraisonImpression(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreEmetteurImpression(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function societeImpression(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function acdResp(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeAchat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function motClef(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function domaineCompetence(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function pays(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function domaineFonctionnelle(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function domaineFonctionnel(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function decoupage(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function articles(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function articlesFraisPort(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function marches(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function accadre(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function acheteur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function utilisateurSociete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sousFamille(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeTVA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function tVA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function format(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function fabricant(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function gamme(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function societeUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreEmetteurUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreLivraisonUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sectionImpuUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function codeCompUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sousCompteAnaUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centreAnalyseUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function multiSocieteUtilisateurAutorise(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function famille(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function equivArt(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function grpfou(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ssItesto(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sitesto(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function dccEntet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function typeDoc(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function unites(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sscptana(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function directio(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function natana(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function centrana(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function uo(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function etatStat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function groupeSignataire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function periodes(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function utilisateursOxalink(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function tsDon(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function clausier(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function docCat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function delegataire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function societeCommune(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sigFact(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function fournisseurSansArticlesSansCommande(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function fournisseurAvecArticlesSansCommande(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function articlesSiCdcSca(): bool
    {
        return true;
    }

        /**
     * @return bool
     */
    // @phpcs:ignore
    public function articlesFrsFaSfa(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function da(): bool
    {
        return true;
    }

    // @phpcs:ignore
    public function etatStatFiltreType(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function etatStatTheme(): bool
    {
        return true;
    }

    /**
     * @return bool
     */

    // @phpcs:ignore
    public function frsAndGrpFou(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function daEntet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function destinataire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function tiers(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function siteStockAccessible(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sstocklo(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function codgest(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sdsEntes(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function daModels(): bool
    {
        return true;
    }
}
